%define	upstream_name	 Crypt-OpenPGP
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Pure-Perl OpenPGP implementation
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CAST5_PP)
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Crypt::DSA)
BuildRequires: perl(Crypt::IDEA)
BuildRequires: perl(Crypt::RIPEMD160)
BuildRequires: perl(Crypt::RSA)
BuildRequires: perl(Crypt::Rijndael)
BuildRequires: perl(Crypt::Twofish)
BuildRequires: perl(Data::Buffer) >= 0.40.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Crypt::OpenPGP is a pure-Perl implementation of the OpenPGP standard. In
addition to support for the standard itself, Crypt::OpenPGP claims
compatibility with many other PGP implementations, both those that support the
standard and those that preceded it.

Crypt::OpenPGP provides signing/verification, encryption/decryption, keyring
management, and key-pair generation; in short it should provide you with
everything you need to PGP-enable yourself. Alternatively it can be used as
part of a larger system; for example, perhaps you have a web-form-to-email
generator written in Perl, and you'd like to encrypt outgoing messages, because
they contain sensitive information.  Crypt::OpenPGP can be plugged into such a
scenario, given your public key, and told to encrypt all messages; they will
then be readable only by you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/07-digest.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# this test works under iurt as user, but not under build system
rm -f t/07-digest.t
%make_build test

%install
%make_install

%files
%doc CREDITS Changes META.yml README
%{_bindir}/pgplet
%{perl_vendorlib}/Crypt/*
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.120.0-6.mga9
+ Revision: 1802710
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-5.mga8
+ Revision: 1493617
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-4.mga7
+ Revision: 1266799
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.120.0-3.mga6
+ Revision: 1024520
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.120.0-2.mga6
+ Revision: 969340
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.120.0-1.mga6
+ Revision: 868360
- update to 1.12

* Thu Jul 23 2015 sander85 <sander85> 1.110.0-1.mga6
+ Revision: 856441
- update to 1.11

* Tue Jul 07 2015 sander85 <sander85> 1.100.0-1.mga6
+ Revision: 852445
- update to 1.10

* Mon Jul 06 2015 sander85 <sander85> 1.90.0-1.mga6
+ Revision: 851960
- update to 1.09

* Tue Jun 23 2015 sander85 <sander85> 1.80.0-2.mga6
+ Revision: 839938
- Exclude deps from _docdir

* Sun Jun 21 2015 sander85 <sander85> 1.80.0-1.mga6
+ Revision: 838408
- update to 1.08

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-3.mga5
+ Revision: 746628
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-2.mga5
+ Revision: 684045
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 sander85 <sander85> 1.70.0-1.mga5
+ Revision: 639243
- update to 1.07

* Sat Jun 07 2014 pterjan <pterjan> 1.60.0-3.mga5
+ Revision: 634363
- Add suggested patch fixing test
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 364883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 52469
- update to 1.06

* Wed Jan 26 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 40682
- mageia rebuild
- imported package perl-Crypt-OpenPGP


* Sat Dec 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.1
+ Revision: 477636
- adding missing buildrequires:
- update to 1.04

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 408950
- rebuild using %%perl_convert_version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.03-1mdv2009.0
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 26 2007 Buchan Milne <bgmilne@mandriva.org> 1.03-1mdv2008.0
+ Revision: 44555
- Drop test 7 (which doesnt work under the build system)
- Buildrequire Crypt::Blowfish
- Import perl-Crypt-OpenPGP



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 1.03-1mdv2007.1
- initial package
